### Class

# Meta ShadowFactory

since: 14

#### Description [src]

    final class Meta.ShadowFactory : GObject.Object
    {
      /* No available fields */
    }

Create window shadows.

It caches shadows internally so that multiple shadows created for the same shape with the same radius will share the same `MetaShadow`.

Available since: 14

#### Ancestors

- GObject

#### Constructors

###### meta_shadow_factory_new

No description available.

since: 14

#### Functions

###### meta_shadow_factory_get_default

No description available.

since: 14

#### Instance methods

###### meta_shadow_factory_get_params

Gets the shadow parameters for a particular class of shadows for either the focused or unfocused state. If the class name does not name an existing class, default values will be returned without printing an error.

since: 14

###### meta_shadow_factory_get_shadow

Gets the appropriate shadow object for drawing shadows for the specified window shape. The region that we are shadowing is specified as a combination of a size-invariant extracted shape and the size. In some cases, the same shadow object can be shared between sizes; in other cases a different shadow object is used for each size.

since: 14

###### meta_shadow_factory_set_params

Updates the shadow parameters for a particular class of shadows for either the focused or unfocused state. If the class name does not name an existing class, a new class will be created (the other focus state for that class will have default values assigned to it.)

since: 14

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Meta.ShadowFactory::changed

No description available.

since: 14

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct MetaShadowFactoryClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.